# Class CIM_TransformOfPreconfiguredAction
extends CIM_Dependency

TransformOfPreconfiguredAction defines the transforms used by a preconfigured IPsec action. Two, four or six SATransforms can be associated to a PreconfiguredSAAction (applied to the inbound and outbound traffic, as indicated by the Direction property of this association). The order of application of the SATransforms is implicitly defined in RFC2401.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_TransformOfPreconfiguredAction

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | TransformOfPreconfiguredAction defines the transforms used by a preconfigured IPsec action. Two, four or six SATransforms can be associated to a PreconfiguredSAAction (applied to the inbound and outbound traffic, as indicated by the Direction property of this association). The order of application of the SATransforms is implicitly defined in RFC2401.
MappingStrings | string | IPSP Policy Model.IETF|TransformOfPreconfiguredAction
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
InboundDirection | boolean |
Description | string | InboundDirection specifies whether the SA applies to inbound (TRUE) or outbound (FALSE) traffic.
MappingStrings | string | IPSP Policy Model.IETF|TransformOfPreconfiguredAction.Direction
ModelCorrespondence | string | CIM_IPsecSAEndpoint.InboundDirection
SPI | uint32 |
Description | string | The SPI property specifies the security parameter index to be used by the pre-configured action for the associated transform.
MappingStrings | string | IPSP Policy Model.IETF|TransformOfPreconfiguredAction.SPI
ModelCorrespondence | string | CIM_IPsecSAEndpoint.SPI

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_TransformOfPreconfiguredAction | CIM_SATransform
Dependent | CIM_TransformOfPreconfiguredAction | CIM_PreconfiguredSAAction

## Class Methods